| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
Tuning Mode
Low-level Functions

## Description

These functions provide the ability to select the tuning mode.

These functions are thread-safe.

## Enumerations
enum | bladerf_tuning_mode { BLADERF_TUNING_MODE_INVALID = -1 , BLADERF_TUNING_MODE_HOST , BLADERF_TUNING_MODE_FPGA }

## Functions
API_EXPORT int CALL_CONV | bladerf_set_tuning_mode (struct bladerf *dev, bladerf_tuning_mode mode)
API_EXPORT int CALL_CONV | bladerf_get_tuning_mode (struct bladerf *dev, bladerf_tuning_mode *mode)

## Enumeration Type Documentation

## ◆ bladerf_tuning_mode

enum bladerf_tuning_mode

Frequency tuning modes

The default tuning mode, BLADERF_TUNING_MODE_HOST, can be overridden by setting a BLADERF_DEFAULT_TUNING_MODE environment variable to host or fpga.

BLADERF_TUNING_MODE_HOST is the default tuning mode.

BLADERF_TUNING_MODE_FPGA requirements:

- libbladeRF >= v1.3.0
- FPGA >= v0.2.0

Note
  Overriding this value with a mode not supported by the FPGA will result in failures or unexpected behavior.

Enumerator
BLADERF_TUNING_MODE_INVALID | Indicates an invalid mode is set
BLADERF_TUNING_MODE_HOST | Perform tuning algorithm on the host. This is slower, but provides easier accessiblity to diagnostic information.
BLADERF_TUNING_MODE_FPGA | Perform tuning algorithm on the FPGA for faster tuning.

Definition at line 3700 of file libbladeRF.h.

## Function Documentation

## ◆ bladerf_get_tuning_mode()

API_EXPORT int CALL_CONV bladerf_get_tuning_mode | ( | struct bladerf * | dev,
|  | bladerf_tuning_mode * | mode )

Get the device's current tuning mode

Parameters

  | dev | Device handle
  [in] | mode | Tuning mode

Returns
  0 on success, value from Error codes list on failure

## ◆ bladerf_set_tuning_mode()

API_EXPORT int CALL_CONV bladerf_set_tuning_mode | ( | struct bladerf * | dev,
|  | bladerf_tuning_mode | mode )

Set the device's tuning mode

Parameters

  | dev | Device handle
  [in] | mode | Desired tuning mode. Note that the available modes depends on the FPGA version.

Returns
  0 on success, value from Error codes list on failure